For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Meals

Deletes all meals within the specified dates. By default, the meals are deleted from the active meal plan, unless a meal_plan_id is specified.

Delete Meals

DELETE https://graph.whisk.com/mealplan/v2

Request Body

Name
Type
Description

period

object

An object with from and to dates representing the date range period of meals to be deleted.

meal_plan_id

string

The meal plan identifier from which meals are to be deleted. By default the active meal plan will be used to delete the meals.

generated_only

boolean

Indicates that only automatically generated meals are to be deleted. Default value is false.

Sample Request

curl "https://graph.whisk.com/mealplan/v2" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>" \
    -d '{
        "period": {
            "from": {
                "year": 2020,
                "month": 3,
                "day": 10
            },
            "to": {
                "year": 2020,
                "month": 3,
                "day": 17
            }
        },
        "generated_only": true
    }'

Last updated

Was this helpful?